libebook::CHMStream::Impl Struct Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libebook::CHMStream::Impl Struct Reference

## Public Member Functions
| Impl (const RVNGInputStreamPtr_t &input)
unsigned | getFileCount ()
unsigned | getSysfileCount ()
const RVNGInputStreamPtr_t | getSubStream (mschmd_file *file)
| Impl (const Impl &)
Impl & | operator= (const Impl &)

## Public Attributes
const RVNGInputStreamPtr_t | stream
MSPackSystem | system
shared_ptr< mschm_decompressor > | decompressor
mschmd_header * | header
FileCache | cache
unsigned | fileCount
unsigned | sysfileCount
bool | fileCountSet
bool | sysfileCountSet

## Constructor & Destructor Documentation

libebook::CHMStream::Impl::Impl | ( | const RVNGInputStreamPtr_t & | input | ) |

libebook::CHMStream::Impl::Impl | ( | const Impl & |  | ) |

## Member Function Documentation

unsigned libebook::CHMStream::Impl::getFileCount | ( |  | ) |

const RVNGInputStreamPtr_t libebook::CHMStream::Impl::getSubStream | ( | mschmd_file * | file | ) |

unsigned libebook::CHMStream::Impl::getSysfileCount | ( |  | ) |

Impl& libebook::CHMStream::Impl::operator= | ( | const Impl & |  | ) |

## Member Data Documentation

FileCache libebook::CHMStream::Impl::cache

shared_ptr<mschm_decompressor> libebook::CHMStream::Impl::decompressor

Referenced by getSubStream().

unsigned libebook::CHMStream::Impl::fileCount

Referenced by getFileCount().

bool libebook::CHMStream::Impl::fileCountSet

Referenced by getFileCount().

mschmd_header* libebook::CHMStream::Impl::header

Referenced by getFileCount(), and getSysfileCount().

const RVNGInputStreamPtr_t libebook::CHMStream::Impl::stream

unsigned libebook::CHMStream::Impl::sysfileCount

Referenced by getSysfileCount().

bool libebook::CHMStream::Impl::sysfileCountSet

Referenced by getSysfileCount().

MSPackSystem libebook::CHMStream::Impl::system

Referenced by getSubStream().

The documentation for this struct was generated from the following file:

- CHMStream.cpp